lkml.org 
[lkml]   [2017]   [Jul]   [17]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH v2 0/6] Better document Sphinx install instructions
Em Mon, 17 Jul 2017 15:26:33 -0600
Jonathan Corbet <corbet@lwn.net> escreveu:

> On Mon, 17 Jul 2017 18:23:05 -0300
> Mauro Carvalho Chehab <mchehab@s-opensource.com> wrote:
>
> > Btw, I'm submitting in a few a second version of the patches with
> > add a script to check Sphinx dependencies.
>
> I figured I wasn't going to look at that until you get up to v42 or so -
> maybe another day or two...? :)

Just sent ;)

There are two patches that I didn't send via e-mail:

https://git.linuxtv.org/mchehab/experimental.git/commit/?h=sphinx_install_v2&id=4bd9e1ea9ddabce144ee4c84549449563f0b8416
https://git.linuxtv.org/mchehab/experimental.git/commit/?h=sphinx_install_v2&id=6b9596e432709f7a7def85873c8ccbb837fdf4a2

The problem is that SVG files often have lines bigger than 998 chars,
with is the limit that e-mails usually accept (and VGER enforces).

We need some sort of script to break long lines. I remember that I
wrote one once, but need to seek for it, as it is not at the
usual places.

Those two patches are required for PDF build to work without errors
on Ubuntu 17.04. The problem there is that ImageMagick is a way
more pedantic there than on other distros, and don't support
several atributes that inkscape add. I had to use some tools to
filter out those arguments (svgo, scour) and even manually replace
font-family there, for it to properly recognize the SVG contents.

What's funny is that ImageMagick version on Ubuntu is newer
than the one in Fedora 26:

ubuntu17.04$ dpkg -l imagemagick
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-=======================-================-================-====================================================
ii imagemagick 8:6.9.7.4+dfsg-3 amd64 image manipulation programs -- binaries

fedora25$ rpm -q ImageMagick
ImageMagick-6.9.3.0-6.fc25.x86_64

fedora26$ rpm -q ImageMagick
ImageMagick-6.9.3.0-6.fc26.x86_64

Perhaps some regression?



Thanks,
Mauro

\
 
 \ /
  Last update: 2017-07-17 23:56    [W:0.070 / U:1.984 seconds]
©2003-2017 Jasper Spaans. hosted at Digital OceanAdvertise on this site